### Function Macro

# AppStream component_box_index

#### Declaration [src]

    #define as_component_box_index (
      cbox,
      index_
    )

#### Description [src]

Returns the `AsComponent` at the given index of the array.

This does not perform bounds checking on the given `index_`, so you are responsible for checking it against the array length. Use %as_component_box_len to determine the amount of components present in the `AsComponentBox`.

This function is not directly available to language bindings.

#### Parameters

`cbox`

  Type: `-`

  A `AsComponentBox`.

`index_`

  Type: `-`

  The index of the `AsComponent` to return.